    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -------------------
    028     * ContourDataset.java
    029     * -------------------
    030     * (C) Copyright 2002-2007, by David M. O'Donnell and Contributors.
    031     *
    032     * Original Author:  David M. O'Donnell;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: ContourDataset.java,v 1.2.2.3 2007/01/31 15:56:19 mungady Exp $
    036     *
    037     * Changes (from 23-Jan-2003)
    038     * --------------------------
    039     * 23-Jan-2003 : Added standard header (DG);
    040     * 17-Jan-2004 : Added methods from DefaultContourDataset that are referenced
    041     *               by ContourPlot.  See bug 741048 (DG);
    042     * ------------- JFREECHART 1.0.x ---------------------------------------------
    043     * 31-Jan-2007 : Deprecated (DG);
    044     *
    045     */
    046
    047    package org.jfree.data.contour;
    048
    049    import org.jfree.chart.plot.XYPlot;
    050    import org.jfree.chart.renderer.xy.XYBlockRenderer;
    051    import org.jfree.data.Range;
    052    import org.jfree.data.xy.XYZDataset;
    053
    054    /**
    055     * The interface through which JFreeChart obtains data in the form of (x, y, z)
    056     * items - used for XY and XYZ plots.
    057     *
    058     * @deprecated This class is no longer supported.  If you are creating
    059     *     contour plots, please try to use {@link XYPlot} and
    060     *     {@link XYBlockRenderer}.
    061     */
    062    public interface ContourDataset extends XYZDataset {
    063
    064        /**
    065         * Returns the smallest Z data value.
    066         *
    067         * @return The minimum Z value.
    068         */
    069        public double getMinZValue();
    070
    071        /**
    072         * Returns the largest Z data value.
    073         *
    074         * @return The maximum Z value.
    075         */
    076        public double getMaxZValue();
    077
    078        /**
    079         * Returns the array of Numbers representing the x data values.
    080         *
    081         * @return The array of x values.
    082         */
    083        public Number[] getXValues();
    084
    085        /**
    086         * Returns the array of Numbers representing the y data values.
    087         *
    088         * @return The array of y values.
    089         */
    090        public Number[] getYValues();
    091
    092        /**
    093         * Returns the array of Numbers representing the z data values.
    094         *
    095         * @return The array of z values.
    096         */
    097        public Number[] getZValues();
    098
    099        /**
    100         * Returns an int array contain the index into the x values.
    101         *
    102         * @return The X values.
    103         */
    104        public int[] indexX();
    105
    106        /**
    107         * Returns the index of the xvalues.
    108         *
    109         * @return The x values.
    110         */
    111        public int[] getXIndices();
    112
    113        /**
    114         * Returns the maximum z-value within visible region of plot.
    115         *
    116         * @param x  the x-value.
    117         * @param y  the y-value.
    118         *
    119         * @return The maximum z-value.
    120         */
    121        public Range getZValueRange(Range x, Range y);
    122
    123        /**
    124         * Returns true if axis are dates.
    125         *
    126         * @param axisNumber  the axis where 0-x, 1-y, and 2-z.
    127         *
    128         * @return <code>true</code> or <code>false</code>.
    129         */
    130        public boolean isDateAxis(int axisNumber);
    131
    132    }